Executions

List walk events

Required API-key scope: executions:read.

get /executions/{execution_object_id}/walks/{walk_id}/events

Authorizations

x-api-key string header required

Talus API Key in the form key_id.secret. The API also accepts Authorization: ApiKey <key_id.secret>, but the docs UI is configured to send x-api-key.

Path Parameters

execution_object_id string required

Execution object id

walk_id integer<int32> required

Walk id

Query Parameters

event_type string | null
page_token integer | null
page_size integer | null

200application/json

Paginated list of walk events

items object[] required
created_at string required
event_type string required
execution_id string required
failure_reason string | null
has_primary_failure_evidence boolean | null
has_secondary_failure_evidence boolean | null
id integer<int32> required
leader string | null

Leader cap that committed the tool result; only set on CommittedToolResult events.

ports_data object | null required
tx_digest string required
variant string | null
vertex_iteration integer | null
vertex_name string required
walk_index integer<int64> required
metadata object required

Pagination metadata included in every listing response.

next_token integer | null

Token to pass as page_token to retrieve the next page. null means there are no more pages.

total_items integer<int64> required

Total number of items across all pages.

400

Invalid filter value

404

Walk was not found

500

Internal server error